#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai1_18.INP");
    ofstream f2("bai1_18.OUT");
    int freq[1000000];
int main()
{
    int n,k,i=1,j,d=0;
    f1>>n>>k;
    while (i<=n)
    {
        for ( j=1;j<=n/i;j++)
        {
            freq[i*j]++;
        }
        i++;
    }
    for (i=1;i<=n;i++)
    {
        if (freq[i]==k)
        {
            d++;
        }
    }
    f2<<d;
}
